[SCM] debian-live branch, master, updated. 1.0_a48-1-75-gf5d6f58

Daniel Baumann daniel at debian.org
Thu Aug 14 03:57:38 UTC 2008


The following commit has been merged in the master branch:
commit 6a4a424d09a622f49fd1d9434195c209889b3bad
Author: Daniel Baumann <daniel at debian.org>
Date:   Tue Aug 12 16:20:35 2008 +0200

    Using signal names rather than signal numbers in trap calls.

diff --git a/examples/cron/manpages.sh b/examples/cron/manpages.sh
index cd65dc4..da58d94 100755
--- a/examples/cron/manpages.sh
+++ b/examples/cron/manpages.sh
@@ -24,7 +24,7 @@ then
 fi
 
 # Creating lock trap
-trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/lock && rm -f ${SERVER}/lock; exit 0" 0 HUP INT QUIT KILL TERM
 
 # Creating lock file
 echo "${DATE_START}" > "${SERVER}"/lock
diff --git a/examples/cron/snapshots.sh b/examples/cron/snapshots.sh
index 68011df..c2a82c0 100755
--- a/examples/cron/snapshots.sh
+++ b/examples/cron/snapshots.sh
@@ -36,7 +36,7 @@ then
 fi
 
 # Creating lock trap
-trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 1 2 3 9 15
+trap "test -f ${SERVER}/Archive-Update-in-Progress && rm -f ${SERVER}/Archive-Update-in-Progress; exit 0" 0 HUP INT QUIT KILL TERM
 
 # Creating lock file
 echo "${DATE_START}" > "${SERVER}"/Archive-Update-in-Progress

-- 
debian-live



More information about the debian-live-changes mailing list